Package org.eclipse.microprofile.metrics.tck.cdi

## Class ApplicationScopedTimedMethodBean

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.cdi.ApplicationScopedTimedMethodBean

    @ApplicationScoped
    public class ApplicationScopedTimedMethodBean
    extends Object

### Constructor Summary

Constructors
`ApplicationScopedTimedMethodBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applicationScopedTimedMethod()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ApplicationScopedTimedMethodBean

    public ApplicationScopedTimedMethodBean()

### Method Detail

#### applicationScopedTimedMethod

    @Timed
    public void applicationScopedTimedMethod()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`